List File Channels
curl --request GET \
--url https://api.assembly.com/v1/channels/files \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/channels/files"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/channels/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"clientId": "a1b2c3d4-0000-0000-0000-000000000001",
"companyId": "a1b2c3d4-0000-0000-0000-000000000002",
"createdAt": "<string>",
"creatorId": "<string>",
"data": "<string>",
"id": "<string>",
"identityId": "<string>",
"lastNotificationSenderId": "a1b2c3d4-0000-0000-0000-000000000003",
"lastNotificationTimestamp": "2024-01-15T09:30:00Z",
"memberIds": [
"a1b2c3d4-0000-0000-0000-000000000003"
],
"membershipEntityId": "a1b2c3d4-0000-0000-0000-000000000002",
"membershipType": "company",
"object": "<string>",
"previousAttributes": {},
"ref": "<string>",
"rootClientPermissions": "read_write",
"updatedAt": "<string>"
}
],
"nextToken": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}File Channels
List File Channels
Returns a paginated list of file channels, optionally filtered by company, client, or membership type.
GET
/
v1
/
channels
/
files
List File Channels
Authorizations
Query Parameters
Filter by company id
Filter by client id
Filter by channel grouping type
Available options:
individual, company, group Filter by member id (deprecated legacy schema)
Filter by id of entity the channel is based on (deprecated legacy schema)
Maximum number of items to return
Pagination cursor returned by a previous response
⌘I